---
title: FileReaderSync.readAsDataURL()
slug: Web/API/FileReaderSync/readAsDataURL
---
<div>{{APIRef("File API")}}</div>

<div><span class="seoSummary">The <code>readAsDataURL()</code> method of the {{DOMxRef("FileReaderSync")}} interface allows to read {{DOMxRef("File")}} or {{DOMxRef("Blob")}} objects in a synchronous way into an {{DOMxRef("DOMString")}} representing a data URL. This interface is <a href="/en/DOM/Worker/Functions_available_to_workers">only available</a> in <a href="/en/DOM/Worker" title="Worker">workers</a> as it enables synchronous I/O that could potentially block.</span></div>

<h2 id="Syntax">Syntax</h2>

<pre class="eval">readAsDataURL(<em>File</em>);
readAsDataURL(<em>Blob</em>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>blob</code></dt>
 <dd>The DOM {{DOMxRef("File")}} or {{DOMxRef("Blob")}} to read.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>An {{DOMxRef("DOMString")}} representing the input data as a data URL.</p>

<h2 id="Exceptions">Exceptions</h2>

<p>{{page("Web/API/FileReaderSync/readAsArrayBuffer","Exceptions")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("File API","#dfn-readAsDataURLSync","readAsDataURL")}}</td>
   <td>{{Spec2("File API")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.FileReaderSync.readAsDataURL")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/API/File_API">File API</a></li>
 <li>{{DOMxRef("File")}}</li>
 <li>{{DOMxRef("FileReaderSync")}}</li>
 <li>{{DOMxRef("FileReader")}}</li>
 <li>{{DOMxRef("BlobBuilder")}}, {{ domxref("Blob") }}</li>
</ul>
